Bug 904912 - [abrt] gedit-3.4.2-1.fc17: pango_utf8_strlen: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: pango_utf8_strlen: Process /usr/bin/gedit was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:4910bc3765994335ca5f52a10b5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 01:52 EST by Angelo
Modified: 2013-08-01 06:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:35:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (24.33 KB, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: build_ids (3.44 KB, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: cgroup (130 bytes, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: core_backtrace (1.80 KB, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: dso_list (10.06 KB, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: environ (1.51 KB, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: maps (28.38 KB, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: open_fds (791 bytes, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: proc_pid_status (774 bytes, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: smolt_data (2.65 KB, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details
File: var_log_messages (300 bytes, text/plain)
2013-01-28 01:53 EST, Angelo
no flags Details

  None (edit)
Description Angelo 2013-01-28 01:52:58 EST
Version-Release number of selected component:
gedit-3.4.2-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        gedit '/run/media/aggelos/Internet/\xce\x9a\xce\xbf\xcf\x83\xce\xbc\xce\xbf\xce\xb3\xce\xbf\xce\xbd\xce\xaf\xce\xb1/\xce\x9f\xce\xbb\xcf\x8d\xce\xbc\xcf\x80\xce\xb9\xce\xbf\xce\xb9/\xce\x91\xce\xb8\xce\xb7\xce\xbd\xce\xac'
crash_function: pango_utf8_strlen
executable:     /usr/bin/gedit
kernel:         3.6.11-5.fc17.i686
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pango_utf8_strlen at pango-impl-utils.h:91
 #1 update_cluster at pango-layout.c:5395
 #2 update_run at pango-layout.c:5440
 #3 pango_layout_iter_next_line at pango-layout.c:5997
 #4 pango_layout_xy_to_index at pango-layout.c:1971
 #5 gtk_text_layout_get_iter_at_position at gtktextlayout.c:2654
 #6 gtk_text_layout_get_iter_at_pixel at gtktextlayout.c:2613
 #7 gtk_text_view_event at gtktextview.c:4391
 #8 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #9 g_type_class_meta_marshalv at gclosure.c:997
Comment 1 Angelo 2013-01-28 01:53:02 EST
Created attachment 688746 [details]
File: backtrace
Comment 2 Angelo 2013-01-28 01:53:06 EST
Created attachment 688747 [details]
File: build_ids
Comment 3 Angelo 2013-01-28 01:53:08 EST
Created attachment 688748 [details]
File: cgroup
Comment 4 Angelo 2013-01-28 01:53:10 EST
Created attachment 688749 [details]
File: core_backtrace
Comment 5 Angelo 2013-01-28 01:53:14 EST
Created attachment 688750 [details]
File: dso_list
Comment 6 Angelo 2013-01-28 01:53:16 EST
Created attachment 688751 [details]
File: environ
Comment 7 Angelo 2013-01-28 01:53:19 EST
Created attachment 688752 [details]
File: limits
Comment 8 Angelo 2013-01-28 01:53:22 EST
Created attachment 688753 [details]
File: maps
Comment 9 Angelo 2013-01-28 01:53:24 EST
Created attachment 688754 [details]
File: open_fds
Comment 10 Angelo 2013-01-28 01:53:27 EST
Created attachment 688755 [details]
File: proc_pid_status
Comment 11 Angelo 2013-01-28 01:53:29 EST
Created attachment 688756 [details]
File: smolt_data
Comment 12 Angelo 2013-01-28 01:53:31 EST
Created attachment 688757 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2013-07-03 23:15:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 06:35:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.